# $Revision: 1.12 $, $Date: 2011/06/06 18:59:47 $
Summary:	Support for different testing frameworks
Summary(pl.UTF-8):	Obsługa różnych szkieletów testowych
Name:		Zope-Testing
Version:	3.10.2
Release:	1
License:	ZPL 2.1
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/z/zope.testing/zope.testing-%{version}.tar.gz
# Source0-md5:	35fc3139992a92a4db13653167fc7be9
URL:		http://www.zope.org/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a number of testing frameworks. It includes a
flexible test runner, and supports both doctest and unittest.

%description -l pl.UTF-8
Ten pakiet udostępnia wiele szkieletów testowych. Zawiera elastyczne
narzędzie do uruchamiania testów, obsługuje zarówno doctest jak i
unittest.

%prep
%setup -q -n zope.testing-%{version}

%build
python ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python ./setup.py install \
	--install-purelib=%{py_sitedir} \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitedir}/zope/testing
%{py_sitedir}/zope.testing-*.egg-info
%{py_sitedir}/zope.testing-*-nspkg.pth

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-Testing.spec,v $
Revision 1.12  2011/06/06 18:59:47  marti
- up to 3.10.2

Revision 1.11  2010/07/08 08:51:28  arekm
- release 2

Revision 1.10  2009/06/03 07:25:15  amateja
- updated to 3.7.2

Revision 1.9  2008/12/09 03:37:24  wrobell
- use pypi uri
- ver. 3.7.1

Revision 1.8  2008/11/16 14:53:11  wrobell
- rel. 3

Revision 1.7  2008/03/04 22:35:58  qboosh
- py_sitedir is not noarch

Revision 1.6  2008-03-04 22:23:33  wrobell
- moved to py_sitedir
- rel. 2

Revision 1.5  2008-01-04 23:27:31  qboosh
- pl
- python deps
- noarch

Revision 1.4  2007-09-12 22:26:44  wrobell
- fixed/add url

Revision 1.3  2007/09/12 22:17:52  wrobell
- fixed summary/description/license/group

Revision 1.2  2007/09/09 23:58:15  wrobell
- url fixed

Revision 1.1  2007/09/09 23:54:17  wrobell
- based on ZopeInterfaces.spec, nfy
